Bug 1568531 - [abrt] gnome-software: g_ptr_array_add(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_ptr_array_add(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:81dc391c3018073d2270eda3b42...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 17:12 UTC by Hayden
Modified: 2019-05-28 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:42:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.45 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: cgroup (195 bytes, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: core_backtrace (26.41 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: dso_list (18.79 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: environ (3.95 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: maps (89.54 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: mountinfo (4.35 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: open_fds (12.25 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-17 17:12 UTC, Hayden
no flags Details

Description Hayden 2018-04-17 17:12:15 UTC
Version-Release number of selected component:
gnome-software-3.28.0-5.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_ptr_array_add
executable:     /usr/bin/gnome-software
journald_cursor: s=7a49a0b9b9dd42b2af6d609a971d1db1;i=223a;b=2e4719a515364c4baa41daa0a553fc42;m=a17cd9f14;t=56a0915afe775;x=6d0f14d8cfe86bb2
kernel:         4.16.1-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_ptr_array_add at garray.c:1403
 #1 gs_app_add_provide at ../lib/gs-app.c:3013
 #2 gs_appstream_refine_add_provides at ../plugins/core/gs-appstream.c:244
 #3 gs_appstream_refine_app at ../plugins/core/gs-appstream.c:783
 #4 gs_plugin_refine_from_pkgname at ../plugins/core/gs-plugin-appstream.c:451
 #5 gs_plugin_refine_app at ../plugins/core/gs-plugin-appstream.c:497
 #6 gs_plugin_loader_call_vfunc at ../lib/gs-plugin-loader.c:589
 #7 gs_plugin_loader_run_refine_filter at ../lib/gs-plugin-loader.c:838
 #8 gs_plugin_loader_run_refine_internal at ../lib/gs-plugin-loader.c:864
 #9 gs_plugin_loader_run_refine at ../lib/gs-plugin-loader.c:1004

Potential duplicate: bug 1405830

Comment 1 Hayden 2018-04-17 17:12:19 UTC
Created attachment 1423158 [details]
File: backtrace

Comment 2 Hayden 2018-04-17 17:12:20 UTC
Created attachment 1423159 [details]
File: cgroup

Comment 3 Hayden 2018-04-17 17:12:21 UTC
Created attachment 1423160 [details]
File: core_backtrace

Comment 4 Hayden 2018-04-17 17:12:22 UTC
Created attachment 1423161 [details]
File: cpuinfo

Comment 5 Hayden 2018-04-17 17:12:23 UTC
Created attachment 1423162 [details]
File: dso_list

Comment 6 Hayden 2018-04-17 17:12:24 UTC
Created attachment 1423163 [details]
File: environ

Comment 7 Hayden 2018-04-17 17:12:25 UTC
Created attachment 1423164 [details]
File: exploitable

Comment 8 Hayden 2018-04-17 17:12:26 UTC
Created attachment 1423165 [details]
File: limits

Comment 9 Hayden 2018-04-17 17:12:27 UTC
Created attachment 1423166 [details]
File: maps

Comment 10 Hayden 2018-04-17 17:12:28 UTC
Created attachment 1423167 [details]
File: mountinfo

Comment 11 Hayden 2018-04-17 17:12:29 UTC
Created attachment 1423168 [details]
File: open_fds

Comment 12 Hayden 2018-04-17 17:12:30 UTC
Created attachment 1423169 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 21:33:31 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 20:42:06 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.